[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Failed to build emacs against imagemagick

From: YE Qianchuan
Subject: Re: Failed to build emacs against imagemagick
Date: Fri, 05 Apr 2013 20:58:41 +0800
User-agent: Mozilla/5.0 (X11; Linux x86_64; rv:17.0) Gecko/20130403 Thunderbird/17.0.5

On 04/05/2013 05:50 PM, Herbert J. Skuhra wrote:
Den 05.04.2013 11:25, skrev YE Qianchuan:
Hi, all. I'm on Archlinux x86_64.
It kept complaining about undefined reference to <imagemagick symbol>.
Since I built it smoothly before upgrading imagemagick to, I
guess it's an incompatibility issue.

A sample error output is as follows:

IMAGEMAGICK_LIBS in src/Makefile contains only '-lMagickCore'.
So you have to add '-lMagickWand' manually.

Forgot to cc this list.

Thank you.  You are right, now MagickWand is necessary.
According to your tips, a simple modification in works for me.

diff --git a/ b/
index 0cff34b..bb240a7 100644
--- a/
+++ b/
@@ -1881,7 +1881,7 @@ if test "${HAVE_X11}" = "yes"; then
     ## might work - let us know if you find one.
     ## 6.0.7 does not work.  See bug#7955.
     ## 6.8.2 makes Emacs crash; see Bug#13867.
-    IMAGEMAGICK_MODULE="Wand >= 6.2.8 Wand != 6.8.2"
+    IMAGEMAGICK_MODULE="MagickWand >= 6.2.8 MagickWand != 6.8.2"

reply via email to

[Prev in Thread] Current Thread [Next in Thread]